!23456789a123456789b123456789c123456789d123456789e123456789f123456789g12
! D.J. Jeffery, 2020jan06.
! The argument list for subroutine saha_solver is long.
!   So one can just use an include file call if one always
!   using the standard names for the arguments.
!      include 'saha_solver_call.f'  ! The Saha solver.
!23456789a123456789b123456789c123456789d123456789e123456789f123456789g12
      call saha_solver(kkel,kel,imassnumfrac,xel,                           &
     &                       rho,tem,r_dilution,                            &
     &                       iacceleration,idiagnostic,ih_minus_not,        &
     &                       xne_converged,                                 &
     &                       ixne_initial,x_reduced,xx_reduced,             &
     &                       xne,xne_h,aname,aweight,xne_atom_ratio,        &
     &                       fraction,iter)
! Restore default values?
      print*
      if(idefault .eq. 0) then
          print*,'Default values NOT restored.'
        else 
          iacceleration=3  ! Quadratic iteration.
          idiagnostic=0
          ih_minus_not=0
          ixne_initial=1   ! Hydrogen approximation.
          kkel=0
          kel(:)=0
          print*,'Default values restored.'
      end if
      print*,'iacceleration,idiagnostic,ih_minus_not,ixne_initial,kkel'
      print*,iacceleration,idiagnostic,ih_minus_not,ixne_initial,kkel
!23456789a123456789b123456789c123456789d123456789e123456789f123456789g12
